<?php
/*
Plugin Name: Get Flickr Thumbnails
Version: 0.91
Plugin URI: http://modelshoot.cn/
Description: Get Flickr Thumbnails plugin can get thumbnails for photos on your site that from flickr.com,you can choose recent or random mode,and it will link to your own post.by <a href="http://babyshoot.cn">Lujian</a>
Author: Zhihong
Author URI: http://modelshoot.cn/
*/
function widget_flickrtimage_init() {
  if (!function_exists('register_sidebar_widget')) {
		return;
	}

	function widget_flickrtimage() {
		print '<h3>Random Models</h3>';
		flickrtimage();
	}

	register_sidebar_widget('Flickr thumbnails', 'widget_flickrtimage');
}

add_action('plugins_loaded', 'widget_flickrtimage_init');

function flickrtimage($image_number = 8,$type="random") {
	global $wpdb;
	$sql = "SELECT ID, post_title, post_content FROM $wpdb->posts WHERE post_status = 'publish' AND post_type ='post' ";
	if($type=="recent"){
		$sql .= "ORDER BY post_date DESC ";
	}elseif($type=="random"){
		$sql .= "ORDER BY RAND() ";
	}
	$sql .= "LIMIT $image_number";
	
	$posts = $wpdb->get_results($sql);	
	
	if( $posts ) { 
		foreach( $posts as $post ) {
			$content = $post-> post_content;
			
			preg_match_all('|<img.*?src=[\'"](.*?)[\'"].*?>|i', $post->post_content, $matches);			
			
			$img_src = $matches[1][0]; //first photo
		if (eregi("flickr.com",$img_src)){
			$img_url = str_replace(".jpg", "_s.jpg", $img_src);
			}else{
			$img_url=$img_src;
			}
			
			$img_link = str_replace(ABSPATH, get_settings('siteurl')."/", $img_thumb);
     		$img = '<img style="WIDTH: 75px; HEIGHT: 75px" src="' . $img_url . '" alt="'. wptexturize($post->post_title) . '" />';

			echo '<a href="'.get_permalink($post->ID).'" title="'. wptexturize($post->post_title).'">'. $img .'</a>';
		    }
	}
}
	

?>